=== debian/changelog ===
tribler (4.0.2-1ubuntu1) feisty; urgency=low

  * New release

 -- Arno Bakker <arno@cs.vu.nl>  Wed, 11 Jun 2007 16:21:01 +0200

tribler (3.4.1-1) unstable; urgency=low

  * New release

 -- Arno Bakker <arno@cs.vu.nl>  Mon, 29 May 2006 11:53:04 +0200

tribler (3.4.0-1) unstable; urgency=low

  * New release

 -- Arno Bakker <arno@cs.vu.nl>  Wed, 24 May 2006 13:27:04 +0200

tribler (3.3.6-1) unstable; urgency=low

  * New release 

 -- Arno Bakker <arno@cs.vu.nl>  Mon,  3 Apr 2006 10:44:32 +0200

tribler (3.3.4-1) unstable; urgency=low

  * First public release.

 -- Arno Bakker <arno@cs.vu.nl>  Thu, 16 Mar 2006 08:56:42 +0100

tribler (3.3.3-2) unstable; urgency=low

  * Forgot to add joe24.bmp
  * Adjusted tribler script to ignore unicode earlier.

 -- Arno Bakker <arno@cs.vu.nl>  Fri, 10 Mar 2006 13:34:12 +0100

tribler (3.3.3-1) unstable; urgency=low

  * Fixes to work in Linux environment. 

 -- Arno Bakker <arno@cs.vu.nl>  Fri, 10 Mar 2006 12:49:51 +0100

tribler (3.3.2-1) unstable; urgency=low

  * Now depends on the wxpython2.6-gtk2-ansi that I built.

 -- Arno Bakker <arno@cs.vu.nl>  Fri, 10 Mar 2006 11:45:39 +0100

tribler (3.3.1-3) unstable; urgency=low

  * Attempt to build cleaner installer

 -- Arno Bakker <arno@localhost.localdomain>  Tue,  7 Mar 2006 13:10:29 +0100

tribler (3.3.1-2) unstable; urgency=low

  * Moved all python files to /usr/share/tribler/python
  * /usr/bin/tribler is now a script that adapts PYTHONPATH and calls python

 -- Otto Visser <o.w.visser@tudelft.nl>  Mon,  6 Mar 2006 16:10:42 +0100

tribler (3.3.1-1) unstable; urgency=low

  * Initial packaging

 -- Otto Visser <o.w.visser@tudelft.nl>  Fri, 24 Feb 2006 11:10:47 -0100
