=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/bittorrent.sgml > bittorrent.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	find . -name '*.pyc' |xargs rm || :

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installman

	mkdir -p debian/tribler/usr/share/tribler/
	cp -rf `ls -1d * | grep -v debian | grep -v test` debian/tribler/usr/share/tribler/
	# add other files
	mkdir -p debian/tribler/usr/bin
	cp -f tribler.sh debian/tribler/usr/bin/tribler
	cp -f LICENSE.txt debian/copyright
	# for the menu
	mkdir -p debian/tribler/usr/share/pixmaps
	cp -f tribler.xpm debian/tribler/usr/share/pixmaps/

	dh_installchangelogs 
	dh_installinit -r --no-start -- stop 20 0 6 .
	dh_install --sourcedir=debian/tmp
	dh_install debian/tribler.desktop usr/share/applications
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_python
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
